Bug 190720 - cannot play DVD videos with totem
cannot play DVD videos with totem
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 13:53 EDT by Andre Robatino
Modified: 2013-10-20 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 311071 None None None Never
GNOME Desktop 330086 None None None Never

  None (edit)
Description Andre Robatino 2006-05-04 13:53:44 EDT
Description of problem:
  There is no way (in the UI, anyway) to add the proprietary codecs necessary
for totem to play DVD videos.  Note that I am NOT talking about totem-xine,
which is a different non-Fedora package.  Totem's Help claims that there one can
add codecs under Preferences/General/Proprietary Plugins, but in reality there
is no such option there (the "Optical Device" option is also missing) or
anywhere else I can find.  This is essentially bug #187692 which was closed on
the false claim that there was in fact a way to add the codecs (I think the
person who claimed this was probably using totem-xine and just assumed the UI
was the same).

Version-Release number of selected component (if applicable):
totem-1.4.0-2
Comment 1 John Thacker 2006-05-05 11:38:55 EDT
Totem intentionally upstream has disabled support for playing DVDs
when using gstreamer-0.10.
http://bugzilla.gnome.org/show_bug.cgi?id=330086

As of today, gstreamer-0.10 does not support DVDs or DVDs menus.
http://bugzilla.gnome.org/show_bug.cgi?id=311071

The error message in totem is misleading.  While it is possible to add
gstreamer-plugins-ugly from freshrpms or livna to get some of the DVD 
plugins, it does not appear that all of them have been ported to 0.10.

This is an upstream decision.

Note You need to log in before you can comment on or make changes to this bug.